Name:           compton-git
Version:        0.1.0
Release:        7.Sep.2016%{?dist}
Summary:        A compositor for X11
License:        MIT
Group:          System/X11/Utilities
Url:            https://github.com/chjj/compton
Source:         compton.%{release}.tar.xz
BuildRequires:  gcc-c++ make pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  git
BuildRequires:	asciidoc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         /usr
# new stuff required for git version
BuildRequires:  libXinerama-devel


%description
Compton was forked from Dana Jansens' fork of xcompmgr and refactored. I fixed 
whatever bug I found, and added features I wanted. Things seem stable, but 
don't quote me on it. I will most likely be actively working on this until I 
get the features I want. This is also a learning experience for me. That is, 
I'm partially doing this out of a desire to learn Xlib.


%prep
%setup -n compton


%build
make
make docs


%install
make install DESTDIR=%{buildroot}


%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{_bindir}/compton
%{_bindir}/compton-trans
%{_mandir}/man1/compton.1.gz
%{_mandir}/man1/compton-trans.1.gz
/usr/share/icons/hicolor/48x48/apps/compton.png
/usr/share/icons/hicolor/scalable/apps/compton.svg
/usr/share/applications/compton.desktop


%changelog
* Thu Mar 02 2017 Alexander Pavel <anp120@nbcs.rutgers.edu> - 0.1.0-7.Sep.2016
- Make a git version

* Thu Mar 02 2017 Alexander Pavel <anp120@nbcs.rutgers.edu> - 0.1.0-2
- Rebuild for Rutgers CentOS 7

* Tue Aug 13 2013 petr@yarpen.cz
- version 0.1.0
* Mon Jan 28 2013 petr@yarpen.cz
- new dependencies: git, dbus-1
- COMPTON_VERSION set for building
* Fri Oct 26 2012 petr@yarpen.cz
- Version bump to 0.0.1
* Mon Oct  1 2012 petr@scribus.info
- Initial package 0.0.0
